# Enum Class CLNValidationStatus

java.lang.Object
java.lang.Enum<CLNValidationStatus>
com.io7m.calino.validation.api.CLNValidationStatus

All Implemented Interfaces:
  `Serializable, Comparable<CLNValidationStatus>, Constable`

public enum CLNValidationStatus extends Enum<CLNValidationStatus>
The status of a validation error.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `STATUS_ERROR`
  The validation error is an error.
  `STATUS_WARNING`
  The validation error is a warning.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNValidationStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNValidationStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATUS_WARNING

    public static final CLNValidationStatus STATUS_WARNING
    The validation error is a warning.

  - ### STATUS_ERROR

    public static final CLNValidationStatus STATUS_ERROR
    The validation error is an error.

- ## Method Details

  - ### values

    public static CLNValidationStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNValidationStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null